//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#pragma once

namespace TesterModule
{
	using namespace VWFC::PluginSupport;

	// ------------------------------------------------------------------------------------------------------
	class CExtVSFuncs : public VWExtensionVSFunctions
	{
		DEFINE_VWVSFunctions;
	public:
						CExtVSFuncs(CallBackPtr cbp);
		virtual			~CExtVSFuncs();

	};


	// ------------------------------------------------------------------------------------------------------
	class CMyVSRoutines : public VWPluginLibraryRoutine
	{
	public:
						CMyVSRoutines();
		virtual			~CMyVSRoutines();


	public:
		virtual PluginLibraryInitFlags		InitPluginLibrary();

	public:
		// dispatch routine
		DEFINE_LIB_DISPATCH_MAP;

		// dispatch event functions
		//void				<function name>(VWPluginLibraryArgTable& argTable);
		void	OnAdd(VWPluginLibraryArgTable& argTable);
	};
}