//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#include "StdAfx.h"

#include "ExtMenu.h"


using namespace VectorWorks::Filing;
using namespace TesterModule;

namespace TesterModule
{
	// --------------------------------------------------------------------------------------------------------
	static SMenuDef		gMenuDef = {
		/*Needs*/				0x00,
		/*NeedsNot*/			0x00,
		/*Title*/				{"CExtMenu", "menu_title"}, 
		/*Category*/			{"CExtMenu", "menu_category"},
		/*HelpText*/			{"CExtMenu", "menu_helptext"},
		/*VersionCreated*/		19,
		/*VersoinModified*/		0,
		/*VersoinRetired*/		0,
		/*ContextualHelpID*/	""
	};

	/*static SMenuChunkDef_	gMenuChunksDef[] = {
		// ItemText, HelpText, ContextualHelpID
		{ {"CExtMenu", "menu_item1"}, {"CExtMenu", "menu_item1_help"}, "" },
		{ {"CExtMenu", "menu_item2"}, {"CExtMenu", "menu_item2_help"}, "" },
		{ {"CExtMenu", "menu_item3"}, {"CExtMenu", "menu_item3_help"}, "" },
		{ {"CExtMenu", "menu_item4"}, {"CExtMenu", "menu_item4_help"}, "" },
		{ {"CExtMenu", "menu_item5"}, {"CExtMenu", "menu_item5_help"}, "" },
		{ {0,0}, {0,0}, NULL }
	};*/
}

// --------------------------------------------------------------------------------------------------------
// {3684BBAA-A0A1-4406-96A6-515A19722B71}
IMPLEMENT_VWMenuExtension(
	/*Extension class*/	CExtMenu,
	/*Event sink*/		CMenu_EventSink,
	/*Universal name*/	"CExtMenu_VWPluginWiz1",
	/*Version*/			1,
	/*UUID*/			0x3684bbaa, 0xa0a1, 0x4406, 0x96, 0xa6, 0x51, 0x5a, 0x19, 0x72, 0x2b, 0x71 );

// --------------------------------------------------------------------------------------------------------
// --------------------------------------------------------------------------------------------------------
CExtMenu::CExtMenu(CallBackPtr cbp)
	: VWExtensionMenu( cbp, gMenuDef, NULL )
//	: VWExtensionMenu( cbp, gMenuDef, gMenuChunksDef )
{
}

CExtMenu::~CExtMenu()
{
}

// --------------------------------------------------------------------------------------------------------
// --------------------------------------------------------------------------------------------------------
CMenu_EventSink::CMenu_EventSink(IVWUnknown* parent)
	: VWMenu_EventSink( parent )
{
}

CMenu_EventSink::~CMenu_EventSink()
{
}

void CMenu_EventSink::DoInterface()
{
	gSDK->AlertInform( "CMenu_EventSink::DoInterface" );

}
